package p10_klasy.v5;

public class Przyklad {

    public static void main(String[] args) {
        Osoba osoba = new Osoba("Ala", "Kowalska", 30);
        osoba.przedstawSie();
        System.out.println("Imię i nazwisko: " + osoba.getImie() + " " + osoba.getNazwisko());
        osoba.setImie("Alicja");
        osoba.przedstawSie();

        Student student = new Student("Adam", "Abacki", 21, 2, "medycyna");
        student.przedstawSie();
        student.dodajOcene(4);
        student.dodajOcene(4);
        student.dodajOcene(5);
        //NK student.oceny.add(100);
        try {
            student.dodajOcene(100);
        } catch (Exception e) {
            System.out.println("Nie udało się dodać dziwnej oceny");
        }
        System.out.println("Średnia ocen: " + student.sredniaOcen());
        
        Sklep zabka = new Sklep("Żabka", 6);
        zabka.sprzedajPiwo(student);
    }

}
